Get the results of the consignment product due report as an xlsx file

​

Body·

application/json
  • The product batch to filter by

  • The product best before date to filter by

  • The client partner to filter by

  • The start date in the consignment date range

  • The end date in the consignment date range

  • The product expiry date to filter by

  • The product packaging date to filter by

  • The product production date to filter by

  • The product sell by date to filter by

  • The warehouse to filter by

Responses

  • OK

Request Example for post/v1/reports/consignment-product-due/xlsx
curl https://api.consignlyhq.com/v1/reports/consignment-product-due/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "clientPartnerId": null,
  "warehouseId": null,
  "batch": null,
  "bestBeforeDate": "date (YYYY-MM-DD)",
  "expiryDate": "date (YYYY-MM-DD)",
  "packagingDate": "date (YYYY-MM-DD)",
  "productionDate": "date (YYYY-MM-DD)",
  "sellByDate": "date (YYYY-MM-DD)"
}'
No Body